zhongrj
2023-06-27 d74b495736f0c04522ec54274b70fed0ded2878d
public/map/controls/searchbox/SearchBox.css
New file
@@ -0,0 +1,118 @@
.searchbox-container {
   overflow: hidden;
   position: relative;
   /* width: 100%; */
   height: 100%;
}
.searchbox-input {
   display: inline-block;
   float: left;
}
.searchbox-input-span {
   display: block;
   margin: 3px;
   padding: 3px;
   border-width: 1px;
   border-style: solid;
   border-color: #B8B8B8;
   position: relative;
   background-color: #FFFFFF;
}
.searchbox-input-text {
   font-family: Arial, Helvetica, "Microsoft YaHei", sans-serif;
   background: #FFF none repeat scroll 0% 0%;
   padding: 3px 20px 3px 5px;
   border: 0px none;
   font-size: 16px;
   color: #000000;
   outline: 0px none;
   width: 380px;
   height: 20px;
}
.searchbox-input-clear {
   cursor: pointer;
   position: absolute;
   right: 0px;
   top: 3px;
   width: 27px;
   height: 28px;
   background: transparent url("http://webmap0.map.bdstatic.com/wolfman/static/common/images/tools_img_a1b8ead.png") no-repeat scroll -120px -249px;
   display: none;
}
.searchbox-button {
   display: inline-block;
   border: 0px none;
   cursor: pointer;
   background-image: url('../infowindow/icon/search.png');
   width: 45px;
   height: 26px;
   background-position: center center;
   background-repeat: no-repeat;
   /*float: right;*/
   margin: 4px 5px;
   border-radius: 2px;
}
.searchbox-button:hover {
   border: 0px none !important;
}
.searchbox-suggest-container {
   position: absolute;
   background-color: #FFF;
   border: 1px solid #B8B8B8;
   z-index: 1000;
   display: none;
   padding: 3px;
   margin-left: 3px;
   overflow: hidden;
}
.searchbox-suggest {}
.searchbox-suggest-item {}
.searchbox-suggest-item:hover a {
   background-color: #EBEBEB;
}
.searchbox-suggest-item a {
   display: block;
   height: 35px;
   line-height: 35px;
   padding-right: 10px;
   text-decoration: none;
   overflow: hidden;
   text-overflow: ellipsis;
   white-space: nowrap;
   cursor: pointer;
}
.searchbox-suggest-item i {
   padding-left: 35px;
   font-style: normal;
   color: #666;
   position: relative;
   z-index: 1;
   padding-top: 1px;
}
.searchbox-suggest-item i.search {
   background: transparent url("http://webmap1.map.bdstatic.com/wolfman/static/common/images/ui3/tools/suggestion-icon_013979b.png") no-repeat scroll 12px -12px;
}
.searchbox-suggest-item em {
   margin-left: 10px;
   margin-right: 20px;
   font-style: normal;
   color: #999;
}
input::-ms-clear {
   display: none;
}